## org.mortbay.jaas
Class JAASRole

    java.lang.Object
      |
      +--org.mortbay.jaas.JAASPrincipal
            |
            +--org.mortbay.jaas.JAASRole

All Implemented Interfaces:
  java.security.Principal, java.io.Serializable

public class JAASRole
extends JAASPrincipal

See Also:
  Serialized Form

Constructor Summary
`JAASRole(java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object o)`

Methods inherited from class org.mortbay.jaas.JAASPrincipal
`getName, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAASRole

    public JAASRole(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `JAASPrincipal`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.